# Google Maps Coordinate API . location

## Instance Methods

Retrieves a list of locations for a worker.

Retrieves the next page of results.

### Method Details

`list(teamId, workerEmail, startTimestampMs, pageToken=None, maxResults=None)`

    Retrieves a list of locations for a worker.

    Args:
      teamId: string, Team ID (required)
      workerEmail: string, Worker email address. (required)
      startTimestampMs: string, Start timestamp in milliseconds since the epoch. (required)
      pageToken: string, Continuation token
      maxResults: integer, Maximum number of results to return in one page.

    Returns:
      An object of the form:

        { # Response from a List Locations request.
        "nextPageToken": "A String", # A token to provide to get the next page of results.
        "items": [ # Locations in the collection.
          { # Recorded location of a worker.
            "latitude": 3.14, # Latitude.
            "collectionTime": "A String", # The collection time in milliseconds since the epoch.
            "confidenceRadius": 3.14, # The location accuracy in meters. This is the radius of a 95% confidence interval around the location measurement.
            "kind": "coordinate#locationRecord", # Identifies this object as a location.
            "longitude": 3.14, # Longitude.
          },
        ],
        "kind": "coordinate#locationList", # Identifies this object as a list of locations.
        "tokenPagination": { # Pagination information. # Pagination information for token pagination.
          "nextPageToken": "A String", # A token to provide to get the next page of results.
          "previousPageToken": "A String", # A token to provide to get the previous page of results.
          "kind": "coordinate#tokenPagination", # Identifies this object as pagination information.
        },
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.